package com.logicbig.example;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.event.ActionEvent;
import javax.faces.event.AjaxBehaviorEvent;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.util.ArrayList;
import java.util.List;

@ManagedBean
@ViewScoped
public class UserBean {
    private List<String> logs = new ArrayList<>();

    public void onIdle(AjaxBehaviorEvent ae) {
        logs.add("idle: " + LocalDateTime.now());
    }

    public void onActive(AjaxBehaviorEvent ae) {
        logs.add("active: " + LocalDateTime.now());

    }

    public List<String> getLogs() {
        return logs;
    }
}